﻿/*NavBar Css*/
.top-right
{
    float: right;
    color: white;
    width:100%;
    text-align:right;
    padding-top:5px;
}
.main-heading {
    color: white;
    font-family: 'Roboto',sans-serif;
    font-weight: bolder;
    margin-left:10px;
    margin-right:20px;
}
 .app-width {
    width: 100% !important;
}
.app-background {
    background-color: #28598e !important;
}


.main-navBar {
    list-style-type:none;
    padding-left:10px;
    padding-right:10px;
    height:60px;
}
.main-navBar ul {
    position: relative;
    width: auto;
    float: left;
    padding: 0;
    margin: 0px;
    float: right;
}

.main-navBar-padding {
    padding-top: 40px;
}
.login-partial-padding
{
    padding-top:15px;
    float:right;
}
.main-navBar li {
    float:left;
    cursor:pointer;
    color:white;
}
.float-left {
    float:left;
}
.main-navBar a {
    text-decoration:none;
    color:white;
    display: block;
    padding: .5em 1em;
    height:30px;
}
.main-navBar .nav-item {
        height:30px;
        /*float:left;*/
        padding-top:30px;
}

.main-navBar  .nav-item.show > a {
    background-color: rgb(222, 236, 255) !important;
    border-color: #28598e #28598e rgb(222, 236, 255) #28598e !important;
}


.main-navBar  div.dropdown-menu a{
    white-space: nowrap;
    color:black !important;
}
.main-navBar  .dropdown-item:hover {
    text-decoration: none;
    background-color: #28598e !important;
    color: white !important;
}

/*.main-navBar > .nav-item:hover, .nav-item:focus {
    background-color: rgb(222, 236, 255);
    color: black; 
}*/

.main-navBar  .nav-item>a:hover, .main-navBar  .nav-item a:focus {
    background-color: rgb(222, 236, 255);
    color: black; 
}
.main-navBar  .main-navBar-active {
    background-color: rgb(222, 236, 255);
    color: black; 
}

.app-user-account {
    cursor:default;
}

.main-navBar  .nav-item:hover a {
    color:black;
    background-color: rgb(222, 236, 255);

}
.main-navBar  .nav-item:hover .dropdown-menu {
    display:block
}



.main-navBar-app-heading {
        font-size: 21px;
}
.app-small-screen {
    display:none;
}
.wrap {
    display: flex;
    flex-direction: column;
    height: 100%;
}
.body-content {
    overflow: auto;
    height: 100%;
    display: flex;
}
.main-navBar  div.dropdown-menu{
    background-color: rgb(222, 236, 255) ;
    color:black;
}
.main-navBar  div.dropdown-menu a{
    white-space: nowrap;
    color:black !important;
}
.main-navBar  .dropdown-item:hover {
    text-decoration: none;
    background-color: #28598e !important;
    color: white !important;
}
.main-navBar  div.dropdown-menu a:hover,div.dropdown-menu a:active {
    background-color: #28598e !important;
    color: white !important;
    border-top-right-radius: 0;
    border-top-left-radius: 0;
    margin-top: 0;
}
.dropdown-menu {
    position: absolute;
    /*top: 100%;*/
    left: auto;
    right: 0px;
    z-index: 1000;
    display: none;
    float: left;
    min-width: 160px;
    padding: 5px 0;
    list-style: none;
    font-size: 14px;
    background-color: #fff;
    border: 1px solid #ccc;
    border: 1px solid rgba(0,0,0,.15);
    border-radius: 4px;
    -webkit-box-shadow: 0 6px 12px rgba(0,0,0,.175);
    box-shadow: 0 6px 12px rgba(0,0,0,.175);
    background-clip: padding-box;
}

.main-navBar .menu-icon {
    display:none;
}
@media screen and (max-width: 952px) {
    .main-navBar .menu-icon {
        display:block;
    }
    .menu-option {
        display:none;
    }

}

/*@media screen and (max-width: 1465px) {
   .main-navBar .col-md-3 {
       padding:0;
    }    
   .main-navBar .col-md-6 {
           padding:0;
    }
   .main-navBar .col-md-2 {
       width: 11.666667%;
       padding:0;
   }
   .main-navBar-app-heading {
     font-size: 16px;
    }
    .main-navBar .col-md-1 {
        padding:0;
    }

}
@media screen and (max-width: 1354px) {
    .main-navBar .col-md-1 {
        display:none;
    }
    .main-navBar .col-md-6 {
        width:66%;
    }


}
@media screen and (max-width: 1327px) {
   .main-navBar-app-heading {
     font-size: 13px;
    }

}
@media screen and (max-width: 1315px) {
    .main-navBar .col-md-6 {
        width:65%;
    }
   .main-navBar .col-md-2 {
       width: 12.666667%;
       padding:0;
   }

}
@media screen and (max-width: 1210px) {
   .main-navBar .col-md-3 {
        display:none;
    }    
    .main-navBar .col-md-6 {
        width:83%;
    }
   .main-navBar .col-md-2 {
       width: 16.666667%;
       padding:0;
   }

}*/